This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 541419 - device manager module, kde autostart bits missing
device manager module, kde autostart bits missing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-4.4
  Show dependency treegraph
 
Reported: 2009-11-25 15:43 EST by Rex Dieter
Modified: 2010-01-01 22:34 EST (History)
5 users (show)

See Also:
Fixed In Version: 0.9.21-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-01 22:34:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2009-11-25 15:43:29 EST
From pa-0.9.21's spec:
rm $RPM_BUILD_ROOT%{_libdir}/pulse-%{version}/modules/module-device-manager.so

it would appear the device-manager module is being purposely omitted.  This is something we'll need for kde-4.4's phonon/pulseaudio integration to work better.
Comment 1 Rex Dieter 2009-11-25 18:47:24 EST
Thinking out loud here, I got it installed by hand, but it would appear we also need a way of getting this module loaded at runtime.  Suggestions?

Maybe consider adding to /usr/bin/start-pulseaudio-x11 ?

Or use a separate autostart .desktop file?
Comment 2 Kevin Kofler 2009-12-01 09:57:05 EST
The file is already there upstream, it's just being deleted along with the module:
rm $RPM_BUILD_ROOT%{_libdir}/pulse-%{version}/modules/module-device-manager.so
rm $RPM_BUILD_ROOT%{_bindir}/start-pulseaudio-kde
rm $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/pulseaudio-kde.desktop

Lennart, can you please ship these files in the Fedora package? You can put them into a pulseaudio-kde subpackage if you really don't want them in the main package.
Comment 3 Rex Dieter 2009-12-02 15:12:57 EST
ah, precisely. handles the module loading for us and everything. win.
Comment 4 Rex Dieter 2009-12-02 15:19:43 EST
I've got a spec/patch ready, updated summary to match.
Comment 5 Rex Dieter 2009-12-02 15:58:11 EST
OK, let's bikeshed a bit, either (for consistency with other modules):
pulseaudio-module-device-manager
or (simply)
pulseaudio-kde
naming is fine with me.  Preferences?  blue ?
Comment 6 Rex Dieter 2009-12-02 16:04:56 EST
or just stuff these bits in existing packages (preferable, I think, simpler)

For example, mandriva's pa packaging puts device-manager in the main pa package, and the kde-related autostart bits into module-x11.
Comment 7 Rex Dieter 2009-12-02 16:20:33 EST
ok, need this tested, made the rawhide commit as minimally intrusive as possible,

* Wed Dec 02 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.9.21-2
- module-device-manager, kde autostart bits missing (#541419)


Would like this to land back in F-12 soonish too (in time for kde-4.4), but I'd rather get an explicit ACK before touching that branch.
Comment 8 Rex Dieter 2009-12-10 12:06:04 EST
cooling talked us into shipping mandriva's patches with kde-4.3.4, any objections to building this asap for the 4.3.4 updates we're preparing for F-12 ?
Comment 9 Lennart Poettering 2009-12-17 09:57:23 EST
hmm, what is the status of this? iirc you guys now did an upload that enables the modules?

frankly i have no idea of kde so i am fine with any upload that doesnt change anything for gnome... ;-)
Comment 10 Rex Dieter 2009-12-17 11:29:23 EST
OK, I'll take care of it, make sure it affects kde only.  Thanks.
Comment 11 Rex Dieter 2009-12-17 11:31:20 EST
To be clear, I just added to previously ommitted-from-packaging kde-only bits back to pulseaudio-module-x11
Comment 12 Fedora Update System 2009-12-17 11:47:54 EST
pulseaudio-0.9.21-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pulseaudio-0.9.21-2.fc12
Comment 13 Fedora Update System 2009-12-17 23:25:05 EST
pulseaudio-0.9.21-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pulseaudio'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13296
Comment 14 Fedora Update System 2010-01-01 22:33:58 EST
pulseaudio-0.9.21-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.